import AsyncStorage from '@react-native-async-storage/async-storage';

export const storageGet = (key: string) => {
  return AsyncStorage.getItem(key).then((data) => data);
};

export const storageSet = (key: string, value: string) => {
  AsyncStorage.setItem(key, value).then();
};
